<bugID>392143<Summary>show keywords as url bar autocomplete choices</Summary><Description>show keywords as url bar autocomplete choices

say I have some keywords (g for google) or (b for bugzilla).

if I type "g firefox", on the trunk and even after the fix for bug #389491 we will not show any results.

what about, if you type "g xxxx", we show "g xxxx" to indicate that it will do a keyword search, and show the keyword description as the title, and use the favicon (if we have it)

if "g xxxx" happens to be a page title or in a url, we'd still show that.

keywords should probably come first in our results.

(fwiw, opera has this.)</Description></bugID>